Subject: Cryptic Error Message

From: "Douglas Miles (Volt Computer)" <[email-masked]>
Date: Thu, 25 Nov 1999 22:11:00 -0800

what does error mean?

[nobody@www library]$ ./mypl.runtime

[WARNING: Out of local stack while not in Prolog!?]
pl: pl-alloc.c:218: outOfStack: Assertion `0' failed.

./mypl.runtime is a executable that I compiled.. I can show  the compiled
output.. its ran fine for months..

But I changed a couple of things... and now it does this	.. but is
error free as far as when its interpreted.. 

Just wondering what issues can cause this error?

<---begin--->
[root@www PROLOG]# make
make dynamic
make[1]: Entering directory `/usr/local/lib/pl-3.2.8/library'
(eval `pl -dump-runtime-variables`; export PLBASE PLARCH; make -e xdyn)
make[2]: Entering directory `/usr/local/lib/pl-3.2.8/library'
make[2]: Nothing to be done for `xdyn'.
make[2]: Leaving directory `/usr/local/lib/pl-3.2.8/library'
make[1]: Leaving directory `/usr/local/lib/pl-3.2.8/library'
make install.dynamic
make[1]: Entering directory `/usr/local/lib/pl-3.2.8/library'
(eval `pl -dump-runtime-variables`; export PLBASE PLARCH; make -e xidyn)
make[2]: Entering directory `/usr/local/lib/pl-3.2.8/library'
if [ ! -d /usr/local/lib/pl-3.2.8//lib/i686-linux ]; then mkdir
/usr/local/lib/pl-3.2.8//lib/i686-linux; fi
pl -g make -t halt
Making library index for /usr/local/lib/pl-3.2.8/library ... ok
make[2]: Leaving directory `/usr/local/lib/pl-3.2.8/library'
make[1]: Leaving directory `/usr/local/lib/pl-3.2.8/library'
make tcppl
make[1]: Entering directory `/usr/local/lib/pl-3.2.8/library'
make[1]: `tcppl' is up to date.
make[1]: Leaving directory `/usr/local/lib/pl-3.2.8/library'
pl -O -g bot -o mypl -c mypl.pl
shlib compiled into shlib, 0.00 sec, 7,256 bytes.
quintus compiled into quintus, 0.01 sec, 10,408 bytes.
wnlnk compiled into wnlnk, 6.14 sec, 11,537,256 bytes.
wltl compiled into wltl, 6.32 sec, 13,546,108 bytes.
tlwl compiled into tlwl, 5.16 sec, 11,231,816 bytes.
wn compiled into wn, 11.48 sec, 24,780,104 bytes.
ltt compiled into ltt, 5.84 sec, 8,996,636 bytes.
eggdrop compiled, 23.54 sec, 45,509,616 bytes.
tcp compiled into tcp, 0.01 sec, 37,184 bytes.
ltt compiled into ltt, 5.89 sec, 0 bytes.
wn_fr compiled into wn_fr, 0.73 sec, 1,251,204 bytes.
douglas compiled, 0.00 sec, 256 bytes.
wltl compiled into wltl, 6.35 sec, 0 bytes.
tlwl compiled into tlwl, 5.18 sec, 0 bytes.
wn compiled into wn, 11.53 sec, 0 bytes.
mypl.pl compiled, 41.72 sec, 46,816,660 bytes.
chmod +s mypl
chown nobody mypl
killall pl
rm -f mypl.runtime
mv -f mypl mypl.runtime
[root@www PROLOG]#
<---end--->